<?php
require_once("../../../config/conexion.php");
require_once("../../../models/Carrera.php");
require_once("../../../models/Persona.php");
require_once("../../../models/Matricula.php");
require_once("../../../models/MallaCurricular.php");

class imprimirRecord {

//    //===================PARAMETRIZACIÓN
    public $identificacion;
    public $carreradbk;

//    
    public function traerRecordAcademico() {
        $carreradbk = $this->carreradbk;
        $identificacion = $this->identificacion;
        //===================LIBRERÍA TCPDF
        require_once('tcpdf_include.php');
        $pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        $pdf->startPageGroup();
        $pdf->AddPage();
        //===================ENCABEZADO REPORTE
        //===================EXTRAER INFORMACIÓN
        $carrera = new Carrera();
        $datos = $carrera->Carrera_por_ID($carreradbk);
        foreach ($datos as $row) {
            $descar = $row["descripcion"];
        }
        $persona = new Persona();
        $datos = $persona->Consultar_por_ID($identificacion);
        foreach ($datos as $row){
            $nombres=$row["papellido"]." ".$row["sapellido"]." ".$row["pnombre"]." ".$row["snombre"];
            $codestudiante = $identificacion;
            $cedula = $row["identificacion"];
        }
        
        $matricula = new Matricula();
        $datos = $matricula->mdlConsultarUltimaMatriculaPorEstudiante($identificacion, $carreradbk);
       foreach ($datos as $row){
            $codulper = $row["periodo"];
            $desulper = $row["descrip"];
        }
        $mallaCurricular = new MallaCurricular();  
        $bloque1 ='
        <table align="center">
            <tr>
                <td rowspan="6" width="80"><img src="images/logocemlad.png" WIDTH="100" HEIGHT="100"></td>
                <td align="center" width="420">
                    <h5>INSTITUTO TECNOLÓGICO SUPERIOR CEMLAD</h5>
                </td>                     
            </tr>
            <tr>
                <td align="center"><h6>REG. INST. SENESCYT 17-051</h6></td>
            </tr>
            <tr>
                <td align="center"><h6>Alberto Enríquez S8-225 y José Mendoza</h6></td>
            </tr>
            <tr>
                <td align="center"><h6>Quito, Ecuador</h6></td>
            </tr>
            <tr>
                <td align="center"><h6>info@cemlad.edu.ec</h6></td>
            </tr>
            <tr>
                <td align="center"><h5>REPORTE INFORMATIVO DE CALIFICACIONES</h5></td>
            </tr>
        </table><br><br>
        <table border="1px">
            <tr>
                <th width="80"><h6> CARRERA:</h6></th>
                <th width="450"><h6> '.$descar.'</h6></th>
            </tr>
            <tr>
                <th><h6> ESTUDIANTE:</h6></th>
                <td><h6> '.$nombres.'</h6></td>
            </tr>
            <tr>
                <th><h6> N° CÉDULA:</h6></th>
                <th><h6> '.$cedula.'</h6></th>
            </tr>
            <tr>
                <th><h6> ÚLTIMO PERIODO:</h6></th>
                <th><h6> '.$desulper.'</h6></th>
            </tr>
        </table><br><br>
        <table align="center" border="1">
            <tr>
                <td width="80" align="center"><h5> CODIGO </h5></td>
                <td width="285" align="center"><h5> ASIGNATURA </h5></td>
                <td width="45" align="center"><h5> NIVEL </h5></td>
                <td width="65" align="center"><h5> APORTES </h5></td>
                <td width="55" align="center"><h5> ESTADO </h5></td>
            </tr>';   
//            <option value='1'>NORMAL</option>                 
//            <option value='2'>HOMOLOGADO</option>
//            <option value='3'>EXAMEN POR SUFICIENCIA</option>';

            if($carreradbk == 19){
                $datos = $matricula->mdlBuscarItinerario($identificacion, $carreradbk,"GS");
                foreach ($datos as $row){                    
                    $tot1 = $row['total'];                      
                }                
                if($tot1 > 0){
                    $registros = $mallaCurricular->mdlListarMallaPorCarreraGS($carreradbk);
                }                
                $datos = $matricula->mdlBuscarItinerario($identificacion, $carreradbk,"RE");
                foreach ($datos as $row){                    
                    $tot2 = $row['total'];                      
                }                
                if($tot2 > 0){
                    $registros = $mallaCurricular->mdlListarMallaPorCarreraRE($carreradbk);
                }
                if($tot1 == 0 && $tot2 == 0){
                    $registros = $mallaCurricular->mdlListarMallaPorCarreraNA($carreradbk);
                }    
            }else{
                if($carreradbk == 20){
                   $datos = $matricula->mdlBuscarItinerario($identificacion, $carreradbk,"TRI");
                    foreach ($datos as $row){                    
                        $tot1 = $row['total'];                      
                    }                
                    if($tot1 > 0){
                        $registros = $mallaCurricular->mdlListarMallaPorCarreraTRI($carreradbk);
                    }                
                    $datos = $matricula->mdlBuscarItinerario($identificacion, $carreradbk,"COS");
                    foreach ($datos as $row){                    
                        $tot2 = $row['total'];                      
                    }                
                    if($tot2 > 0){
                        $registros = $mallaCurricular->mdlListarMallaPorCarreraCOS($carreradbk);
                    }
                    if($tot1 == 0 && $tot2 == 0){
                        $registros = $mallaCurricular->mdlListarMallaPorCarreraNA($carreradbk);
                    }     
                }else{
                    $registros = $mallaCurricular->mdlListarMallaPorCarrera($carreradbk);
                }                
            }    
            foreach ($registros as $value){
                $codasig=$value['codigo'];
                $desasig=$value['descripcion'];            
                $nivel=$value['nivel'];  
                $asignatura=$value['asignatura'];
                $itinerario=$value['itinerario'];
                $registros2= $matricula->mdlListarCalificaciones($identificacion,$asignatura,$carreradbk);
                $nfinal='-';
                $aprada='-';   
                $tipo=0;
                    foreach ($registros2 as $value2){
                        $nfinal=$value2['nfinal'];  
                        $aprada=$value2['aprada'];
                        $tipo=$value2['tipo'];
                    }                
                    if($tipo==1){
                        if($nfinal>=7){
                            $bloque1=$bloque1."<tr><td align='center'><h6>$codasig</h6></td><td align='center'><h6>$desasig</h6></td><td align='center'><h6>$nivel</h6></td><td align='center'><h6>$nfinal</h6></td><td align='center'><h6>A</h6></td></tr>";                                    
                        }else{
                            $bloque1=$bloque1."<tr><td align='center'><h6>$codasig</h6></td><td align='center'><h6>$desasig</h6></td><td align='center'><h6>$nivel</h6></td><td align='center'><h6>$nfinal</h6></td><td align='center'><h6>R</h6></td></tr>";  
                        }                                             
                    }else{
                        if($tipo==2){
                            $bloque1=$bloque1."<tr><td align='center'><h6>$codasig</h6></td><td align='center'><h6>$desasig</h6></td><td align='center'><h6>$nivel</h6></td><td align='center'><h6>$nfinal</h6></td><td align='center'><h6>H</h6></td></tr>";                                    
                        }else{
                            if($tipo==3){
                                $bloque1=$bloque1."<tr><td align='center'><h6>$codasig</h6></td><td align='center'><h6>$desasig</h6></td><td align='center'><h6>$nivel</h6></td><td align='center'><h6>$nfinal</h6></td><td align='center'><h6>SF</h6></td></tr>";                                    
                            }else{
                                if($tipo==0){
                                    $bloque1=$bloque1."<tr><td align='center'><h6>$carreradbk</h6></td><td align='center'><h6>$desasig</h6></td><td align='center'><h6>$nivel</h6></td><td align='center'><h6>-</h6></td><td align='center'><h6>-</h6></td></tr>";                                    
                                }
                            }
                        }
                    } 
            }                 
        $bloque1=$bloque1."</table><br><br>";               
    $pdf->writeHTML($bloque1, false, false, false, false, '');
    //===================SALIDA DEL ARCHIVO
    $pdf->Output('record-academico.pdf');
    }
}
$a = new imprimirRecord();
$a->identificacion = $_POST["estudiante"];
$a->carreradbk = $_POST["carrera"];
$a->traerRecordAcademico();
?>